行测 多线程 SCI overflow http 计算机网络 mAPI listview dll cmd node jar download vue传值 vue代码规范 pcie转sata dwf文件怎么转成dwg python数据类型转换 xshell搭建ss python写脚本 python的str python中def的用法 java环境 java中scanner java怎么安装 java获取数据类型 java架构 javastring比较 python源码 lol设置 js添加元素 python封装 隐藏进程 flash制作工具 苹果双微信 幽灵行动多少钱 unity3d中文版 国都证券官网下载 小米9截图 重复文件查找软件
当前位置: 首页 > 学习教程  > 编程语言

编译Freeswitch Error: spandsp >= 3.0... configure: error: no usable spandsp; please install spandsp3

2020/11/4 14:07:59 文章标签:

#编译FreeSWITCH时,报错 spandsp > 3.0… configure: error: no usable spandsp; please install spandsp3 devel package or equivalent 步骤: 1、安装sofia-sip cd /usr/local/src/freeswitch-1.10.5.-release git clone https://github.com/free…

#编译FreeSWITCH时,报错 spandsp >= 3.0… configure: error: no usable spandsp; please install spandsp3 devel package or equivalent

步骤:
1、安装sofia-sip

cd /usr/local/src/freeswitch-1.10.5.-release
git clone https://github.com/freeswitch/sofia-sip.git
cd sofia-sip
./configure
make
make install
ldconfig

2、安装spandsp

cd /usr/local/src/freeswitch-1.10.5.-release
git clone https://github.com/freeswitch/spandsp.git
cd spandsp
./configure
make
make install
export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig:${PKG_CONFIG_PATH}
ldconfig

3、重新编译FreeSWITCH

cd /usr/local/src/freeswitch-1.10.5.-release
./configure --disable-signalwire
make
make install
ln -sf /usr/local/freeswitch/bin/freeswitch /usr/local/bin/
ln -sf /usr/local/freeswitch/bin/fs_cli /usr/local/bin/

本文链接: http://www.dtmao.cc/news_show_350086.shtml

附件下载

相关教程

    暂无相关的数据...

共有条评论 网友评论

验证码: 看不清楚?